﻿using System;
using System.Collections.Generic;
using System.Text;
using ESPlus.Application.CustomizeInfo;
using Core;

namespace Client
{
    public class ClientHandler: ICustomizeHandler
    {
        private Form_Client clientForm;

        //该属性是为了在外部将clientForm注入，之所以不在构造函数中传入是因为当时clientForm尚未创建
        public Form_Client ClientForm
        {
            get { return clientForm; }
            set { clientForm = value; }
        }
       
        public void HandleInformation(string sourceUserID, int informationType, byte[] info)
        {
            if (informationType == InformationType.Chat)
           {
               if (this.clientForm.InvokeRequired) //不是主线程时
               {
                   //转换为主线程
                   this.clientForm.Invoke(new ESBasic.CbGeneric<string, int, byte[]>(this.HandleInformation), sourceUserID, informationType, info);
               }
               else
               {
                  string msg = Encoding.UTF8.GetString(info);//解析消息
                  this.clientForm.ShowChatMsg(sourceUserID, msg);//显示消息
               }

           }
        }

        public byte[] HandleQuery(string sourceUserID, int informationType, byte[] info)
        {
            throw new NotImplementedException();
        }
    }
}
