﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using ESPlus.Rapid;
using OMCS;
using OMCS.Server;

namespace Server
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            //创建服务端通信引擎
            IRapidServerEngine ServerEngine = RapidEngineFactory.CreateServerEngine();
            ServerHandler serverHandler = new ServerHandler();//创建服务端消息处理器
            //初始化服务端引擎，设置好用于监听的端口号，并注入消息处理器
            ServerEngine.Initialize(2000/*端口号*/, serverHandler);
            
            DefaultUserVerifier userVerifier = new DefaultUserVerifier();//默认任何用户都验证通过
            //OMCS配置信息
            OMCSConfiguration config = new OMCSConfiguration(15/*摄像头采集的帧频*/,
                                                             15/*远程桌面的帧频*/,
                                                             EncodingQuality.Middle/*语音编码的质量*/);
            //创建OMCS多媒体服务器
            IMultimediaServer MultimediaServer = MultimediaServerFactory.CreateMultimediaServer(2400/*监听的端口*/,
                                                                                                userVerifier/*用户帐密验证器*/,
                                                                                                config/*OMCS配置信息*/,
                                                                                                false/*是否记录详细的安全日志*/);                       
            Application.Run(new Form_Server());
          
        }
    }
}
